Media

Complete a media upload

Verifies the uploaded object exists in storage, marks the media object ready, and returns it with a download URL.

POST
/v1/media/{id}/complete

Verifies the uploaded object exists in storage, marks the media object ready, and returns it with a download URL. Requires the permission that creating the media object did.

x-api-key<token>

In: header

Path Parameters

id*string
Match^media_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/media/string/complete"
{  "media": {    "id": "string",    "organizationId": "string",    "status": "pending",    "filename": "string",    "contentType": "string",    "sizeBytes": 0,    "width": 1,    "height": 1,    "durationMs": 0,    "purpose": "attachment",    "checksumSha256": "string",    "expiresAt": "string",    "createdAt": "string",    "confirmedAt": "string"  },  "downloadUrl": "string"}

Related documentation